#include <bits/stdc++.h>

using namespace std;

int main()
{
    int n;
    cin>>n;
    int niz[n];
    for(int i=0;i<n;i++)
        cin>>niz[i];
    int raz[n-1];
    for(int i=0;i<n-1;i++)
    {
        raz[i]=niz[i+1]-niz[i];
    }
    /*for(int i=0;i<n-1;i++)
        cout<<raz[i]<<" ";
    cout<<endl;*/
    int padovi[n-1]={0};
    for(int i=0;i<n-1;i++)
    {
        if(raz[i]<0)
        {
            padovi[i]=max(padovi[i],1);
            if(i==0 || i==n-2)
                ;
            else
                if(-raz[i-1]>raz[i])
                {
                    if(raz[i+1]+raz[i]>=0)
                    ;
                    else
                        padovi[i+1]=2;
                }
        }
    }
    /*for(int i=0;i<n-1;i++)
        cout<<padovi[i]<<" ";
    cout<<endl;*/
    int pref[n-1];
    pref[0]=padovi[0];
    for(int i=0;i<n-1;i++)
        pref[i]=padovi[i]+pref[i-1];
    /*for(int i=0;i<n-1;i++)
        cout<<pref[i]<<" ";
    cout<<endl;*/
    int t;
    cin>>t;
    for(int i=0;i<t;i++)
    {
        int l,r;
        cin>>l>>r;
        if(l==r)
        {
            cout<<"DA"<<endl;
        }
        else
        {
            if(l==1)
            {
                if(pref[r-2]>1)
                    cout<<"NE"<<endl;
                else
                    cout<<"DA"<<endl;
            }
            else
            {
                if(pref[r-2]-pref[l-2]>1)
                    cout<<"NE"<<endl;
                else
                    cout<<"DA"<<endl;
            }
        }
    }
    return 0;
}